Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.util
Class MessageRequestHandleImpl<Identifier,MessageType>

    java.lang.Object
      org.mpisws.p2p.transport.util.MessageRequestHandleImpl<Identifier,MessageType>

All Implemented Interfaces:
  MessageRequestHandle<Identifier,MessageType>, Cancellable

    public class MessageRequestHandleImpl<Identifier,MessageType>

extends java.lang.Object
implements MessageRequestHandle<Identifier,MessageType>

Constructor Summary
`MessageRequestHandleImpl(Identifier i, MessageType m, java.util.Map<java.lang.String,java.lang.Object> options)`

Method Summary
`boolean` | `cancel()`
`Identifier` | `getIdentifier()`
`MessageType` | `getMessage()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getOptions()`
`Cancellable` | `getSubCancellable()`
`void` | `setSubCancellable(Cancellable cancellable)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageRequestHandleImpl

    public MessageRequestHandleImpl(Identifier i,
                                    MessageType m,
                                    java.util.Map<java.lang.String,java.lang.Object> options)

Method Detail

### getIdentifier

    public Identifier getIdentifier()

  Specified by:
    `getIdentifier` in interface `MessageRequestHandle<Identifier,MessageType>`

### getMessage

    public MessageType getMessage()

  Specified by:
    `getMessage` in interface `MessageRequestHandle<Identifier,MessageType>`

### getOptions

    public java.util.Map<java.lang.String,java.lang.Object> getOptions()

  Specified by:
    `getOptions` in interface `MessageRequestHandle<Identifier,MessageType>`

### cancel

    public boolean cancel()

  Specified by:
    `cancel` in interface `Cancellable`
  Returns:
    true if it was cancelled, false if it was already complete, or cancelled.

### setSubCancellable

    public void setSubCancellable(Cancellable cancellable)

### getSubCancellable

    public Cancellable getSubCancellable()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.